<?php
/*
 * the home page
 */
require_once("include.php");

if(!isset($argv[1])) exit(1);
$mode = $argv[1];
servers($mode);

function servers($mode) {
    switch($mode) {
        case "start":
            $faxDb = get_fax_db();
            $query = "SELECT id FROM servers WHERE active=true";
            $result = $faxDb->query($query);
            while($row = pg_fetch_object($result)) {
                $server = new FaxServer();
                $server->read("", $row->id);
                $server->start();
            }
            break;
        case "stop":
            FaxServer::stopId(0);   // stops all running fax servers
            break;
        case "restart":
            global $argv;
            $id   = $argv[2];
            print "restart $id\n";
            if($id) {
                $key    = ftok(__FILE__, (($id & 0xff) ? chr($id & 0xff) : "z"));
                if($key != -1) {
                    $lockId = sem_get($key);
                    if($lockId !== false) {
                        print "acquiring...\n";
                        $locked = sem_acquire($lockId);
                        if($locked !== false) {
                            print "stopping...\n";
                            FaxServer::stopId($argv[2]);   // stops all running fax servers
                            print "starting...\n";
                            $server = new FaxServer();
                            $server->read("", $argv[2]);
                            $server->start();
                            print "done.\n";
                            sem_release($lockId);
                        }
                    }
                }
            }
            break;
    }
}
global $mainSession;
$mainSession->destroy();
?>
